A valid request URL is required to generate request examples[
{
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"type": "<string>",
"source_connection": {
"id": "<string>",
"name": "<string>",
"connector": "<string>",
"error": "<string>"
},
"destination_connection": {
"id": "<string>",
"name": "<string>",
"connector": "<string>",
"error": "<string>"
},
"schedule": {
"enabled": true,
"cron": "<string>",
"next_run_at": "2023-11-07T05:31:56Z"
},
"replicate_options": {
"use_gmt_datetime": true,
"truncate_table_data": true,
"drop_table": true,
"auto_truncate_strings": true,
"continue_on_error": true,
"alter_schema": true,
"command_timeout": 123,
"deletion_behavior": "<string>",
"insert_mode": "<string>",
"history_mode": true,
"replicate_interval": 180,
"replicate_interval_unit": "<string>",
"replicate_start_date": "<string>",
"snapshot_size": "<string>",
"skip_snapshot": "<string>",
"reset_strategy": "<string>",
"load_folder_file_name_pattern": "<string>",
"skip_formula_fields": true,
"status_connection": "<string>",
"table_name_prefix": "<string>",
"table_name_suffix": "<string>",
"cache_schema": "<string>",
"additional_options": "<string>"
},
"alerts": {
"send_email": true,
"email_to": "<string>",
"email_subject": "<string>",
"email_error_only": true
},
"settings": {
"enable_parallel_processing": true,
"worker_pool": 2,
"verbosity": "None",
"destination_schema": "<string>",
"automatic_job_retry": true,
"transfer_mode": "<string>"
},
"pre_job_event": {
"id": "<string>",
"script": "<string>",
"error": "<string>"
},
"post_job_event": {
"id": "<string>",
"script": "<string>",
"error": "<string>"
},
"cdc_engine_settings": {
"publication_name": "<string>",
"logical_replication_slot": "<string>",
"pluggable_database": "<string>",
"journal_library": "<string>",
"journal_name": "<string>",
"source_schema": "<string>",
"additional_options": "<string>"
},
"permissions": {
"can_update": true,
"can_delete": true,
"can_execute": true,
"can_remove": true
},
"labels": [
"<string>"
],
"license_state": "<string>",
"license_message": "<string>",
"pipeline_id": "<string>",
"last_run": {
"run_start_date": "2023-11-07T05:31:56Z",
"status": "<string>",
"details": "<string>",
"records_affected": 123,
"job_history_id": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"code": 123,
"message": "<string>",
"error": "<string>"
}{
"code": 123,
"message": "<string>",
"error": "<string>"
}Create Job in a Workspace
A valid request URL is required to generate request examples[
{
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"type": "<string>",
"source_connection": {
"id": "<string>",
"name": "<string>",
"connector": "<string>",
"error": "<string>"
},
"destination_connection": {
"id": "<string>",
"name": "<string>",
"connector": "<string>",
"error": "<string>"
},
"schedule": {
"enabled": true,
"cron": "<string>",
"next_run_at": "2023-11-07T05:31:56Z"
},
"replicate_options": {
"use_gmt_datetime": true,
"truncate_table_data": true,
"drop_table": true,
"auto_truncate_strings": true,
"continue_on_error": true,
"alter_schema": true,
"command_timeout": 123,
"deletion_behavior": "<string>",
"insert_mode": "<string>",
"history_mode": true,
"replicate_interval": 180,
"replicate_interval_unit": "<string>",
"replicate_start_date": "<string>",
"snapshot_size": "<string>",
"skip_snapshot": "<string>",
"reset_strategy": "<string>",
"load_folder_file_name_pattern": "<string>",
"skip_formula_fields": true,
"status_connection": "<string>",
"table_name_prefix": "<string>",
"table_name_suffix": "<string>",
"cache_schema": "<string>",
"additional_options": "<string>"
},
"alerts": {
"send_email": true,
"email_to": "<string>",
"email_subject": "<string>",
"email_error_only": true
},
"settings": {
"enable_parallel_processing": true,
"worker_pool": 2,
"verbosity": "None",
"destination_schema": "<string>",
"automatic_job_retry": true,
"transfer_mode": "<string>"
},
"pre_job_event": {
"id": "<string>",
"script": "<string>",
"error": "<string>"
},
"post_job_event": {
"id": "<string>",
"script": "<string>",
"error": "<string>"
},
"cdc_engine_settings": {
"publication_name": "<string>",
"logical_replication_slot": "<string>",
"pluggable_database": "<string>",
"journal_library": "<string>",
"journal_name": "<string>",
"source_schema": "<string>",
"additional_options": "<string>"
},
"permissions": {
"can_update": true,
"can_delete": true,
"can_execute": true,
"can_remove": true
},
"labels": [
"<string>"
],
"license_state": "<string>",
"license_message": "<string>",
"pipeline_id": "<string>",
"last_run": {
"run_start_date": "2023-11-07T05:31:56Z",
"status": "<string>",
"details": "<string>",
"records_affected": 123,
"job_history_id": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"code": 123,
"message": "<string>",
"error": "<string>"
}{
"code": 123,
"message": "<string>",
"error": "<string>"
}Authorizations
A Sync user auth token. Generate one via POST /v2/users/generate-token.
Path Parameters
Workspace identifier.
Body
Job type, e.g. "Standard", "EnhancedCDC", "LoadFolder".
References a connection by id or name. One of id or name is required.
Show child attributes
Show child attributes
References a connection by id or name. One of id or name is required.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Source CDC engine settings. Applicable fields depend on the source provider (PostgreSQL, Oracle, DB2 for i, etc.).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
One or more jobs
A lightweight reference to a related resource.
Show child attributes
Show child attributes
A lightweight reference to a related resource.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Source CDC engine settings. Applicable fields depend on the source provider (PostgreSQL, Oracle, DB2 for i, etc.).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes